-- Our main game list filter registration method
function RegisterMiscFilters()

	-- Create our global table
	local miscFilters = {}

	-- Add a filter method
	miscFilters["LiNK unterstützt"] = FilterCategoryMiscLinkSupported
	miscFilters["Nur Aktive"] = FilterCategoryMiscEnabledOnly
	miscFilters["Nur Retail"] = FilterCategoryMiscRetailOnly
	miscFilters["Nur Unsignierte "] = FilterCategoryMiscDevkitOnly
	miscFilters["Nur verborgene"] = FilterCategoryMiscHiddenOnly

	-- All done
	return miscFilters

end

function FilterCategoryMiscLinkSupported(Content)
	return Content.SystemLink
end

function FilterCategoryMiscEnabledOnly(Content)
   return Content.Enabled
end

function FilterCategoryMiscRetailOnly(Content)
   	return bit32.btest( Content.Flags, ContentFlag.RetailSigned )
end

function FilterCategoryMiscDevkitOnly(Content)
   return bit32.btest( Content.Flags, ContentFlag.DevkitSigned )
end

function FilterCategoryMiscHiddenOnly(Content)
   return Content.Hidden
end